#ifndef IMAGEEDITOR_H
#define IMAGEEDITOR_H
#include <QLabel>
#include <QtGui>

class imageeditor : public QLabel
{
	Q_OBJECT
	public:
		imageeditor(QWidget * parent);
		int startcrop;
		int oldcrop;
		int crop_dx;
		int crop_dy;
		int crop_ex;
		int crop_ey;
		int crop_dx2;
		int crop_dy2;
		int crop_ex2;
		int crop_ey2;
		int pos_x;
		int pos_y;
		int oldmx;
		int oldmy;
		int iwidth;
		int iheight;
		int scaledsize;
		int fadex;
		int fadey;
		int realw;
		int realh;
		int sizegomme;
		int opacgomme;
		QColor colorgomme;
		QPixmap img2crop;
		QPixmap img2resu;
		QPixmap img2save;
		QPixmap croppixm;
		QImage img32b;
		QImage img32b_eraser;
		QString path2crop;
		QWidget *myparent;
	public:
		void setImage(QPixmap pntimg2crop, QString pathname,int,int);
		void gocrop();
	signals:
		void deplace_fade();
		void moveoneditor(int,int);
	private:
	protected:
		void mousePressEvent ( QMouseEvent * event );
		void mouseReleaseEvent ( QMouseEvent * event );
		void mouseMoveEvent ( QMouseEvent * event );
		void paintEvent(QPaintEvent *);
};
#endif
